<?xml version="1.0" encoding="utf-8"?>
<s:TitleWindow xmlns:fx="http://ns.adobe.com/mxml/2009" 
		  xmlns:s="library://ns.adobe.com/flex/spark" 
		  xmlns:mx="library://ns.adobe.com/flex/mx" title="Buscando Código de Barras" width="438" height="100" creationComplete="titlewindow1_creationCompleteHandler(event)" >
	<fx:Script>
		<![CDATA[
			import br.net.upcode.framework.amf.AMFConnector;
			import br.net.upcode.framework.popup.UPCPopUpManager;
			import br.com.desenv.framework.util.DsvObjectUtil;
			import mx.core.FlexGlobals;;
			import mx.collections.ArrayCollection;
			import mx.rpc.events.FaultEvent;
			import mx.rpc.events.ResultEvent;
			import mx.rpc.remoting.mxml.RemoteObject;
			import mx.controls.Alert;
			import flash.events.TimerEvent;
			import flash.utils.Timer;
			
			import mx.events.FlexEvent;
			import mx.managers.PopUpManager;
			
			private var tempo:Timer = new Timer(1000);
			private var g:Number=0;
			private var max:Number = 10;
			public var continua:Boolean = true;
			[Bindable]
			private var pontos:String = "";
			protected function titlewindow1_creationCompleteHandler(event:FlexEvent):void
			{
				this.closeButton.visible = false;
				tempo.addEventListener(TimerEvent.TIMER, atualizaTempo);
				tempo.start();
			}
			protected function atualizaTempo(event:TimerEvent):void 
			{
				if(!continua)
				{
					tempo.stop();
					UPCPopUpManager.instance.removePopUp(this);	
				}
				if(g==0)
				{
					pontos = "";
					g++;
				}
				else if(g==1)
				{
					pontos = ".";
					g++;
				}
				else if(g==2)
				{
					pontos = "..";
					g++;
				}
				else if(g==3)
				{
					pontos = "...";
					g=0;
				}
			}
		]]>
	</fx:Script>
	<fx:Declarations>
		<!-- Place non-visual elements (e.g., services, value objects) here -->
	</fx:Declarations>
	
				<s:Label  id="la" y="25" x="10"  text="Buscando Código de Barras do Escritório{pontos}" fontSize="20" fontWeight="bold" />
	
</s:TitleWindow>
